package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckListUserE;

import java.util.List;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-11 15:32:49
 */
public interface FireCheckListUserGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckListUserE fireCheckListUserE);

    /**
     * 修改
     */
    Boolean update(FireCheckListUserE fireCheckListUserE);

    /**
     * 删除
     */
    Boolean deletedFireCheckListUserById(Long id);

    Boolean deletedFireCheckListUserByIds(Long[] id);

    void addBath(List<FireCheckListUserE> fireCheckListUserEList);
}

